Package htsjdk.tribble

# Class Tribble

java.lang.Object
htsjdk.tribble.Tribble

public class Tribble extends Object
Common, tribble wide constants and static functions

## Field Summary

Fields
Modifier and Type
Field
Description
`static final String`
`STANDARD_INDEX_EXTENSION`
Deprecated.
since June 2019 Use `FileExtensions.TRIBBLE_INDEX` instead.

## Method Summary

Modifier and Type
Method
Description
`static File`
`indexFile(File file)`
Return the File of the index file for the provided `file` Does not actually create an index
`static String`
`indexFile(String filename)`
Return the name of the index file for the provided `filename` Does not actually create an index
`static Path`
`indexPath(Path path)`
Return the name of the index file for the provided `path` Does not actually create an index
`static File`
`tabixIndexFile(File file)`
Return the File of the tabix index file for the provided `file` Does not actually create an index
`static String`
`tabixIndexFile(String filename)`
Return the name of the tabix index file for the provided `filename` Does not actually create an index
`static Path`
`tabixIndexPath(Path path)`
Return the name of the tabix index file for the provided `path` Does not actually create an index

### Methods inherited from class java.lang.Object

`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

## Field Details

### STANDARD_INDEX_EXTENSION

@Deprecated public static final String STANDARD_INDEX_EXTENSION
Deprecated.
since June 2019 Use `FileExtensions.TRIBBLE_INDEX` instead.

See Also:
  - Constant Field Values

## Method Details

### indexFile

public static String indexFile(String filename)
Return the name of the index file for the provided `filename` Does not actually create an index

Parameters:
  `filename` - name of the file
Returns:
  non-null String representing the index filename

### indexFile

public static File indexFile(File file)
Return the File of the index file for the provided `file` Does not actually create an index

Parameters:
  `file` - the file
Returns:
  a non-null File representing the index

### indexPath

public static Path indexPath(Path path)
Return the name of the index file for the provided `path` Does not actually create an index

Parameters:
  `path` - the path
Returns:
  Path representing the index filename

### tabixIndexFile

public static String tabixIndexFile(String filename)
Return the name of the tabix index file for the provided `filename` Does not actually create an index

Parameters:
  `filename` - name of the file
Returns:
  non-null String representing the index filename

### tabixIndexFile

public static File tabixIndexFile(File file)
Return the File of the tabix index file for the provided `file` Does not actually create an index

Parameters:
  `file` - the file
Returns:
  a non-null File representing the index

### tabixIndexPath

public static Path tabixIndexPath(Path path)
Return the name of the tabix index file for the provided `path` Does not actually create an index

Parameters:
  `path` - the path
Returns:
  Path representing the index filename